/*
 * XMLFileWriterConfig.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess.xml;

/**
 * XMLファイルの設定ファイル情報を保持するクラス。
 * @author Daisuke Suga
 */
public class XMLFileWriterConfig {

	/**
	 * XMLファイルのファイルパス。
	 */
	private String filepath = null;

	/**
	 * XMLファイルのエンコード文字列。
	 */
	private String encode = null;

	/**
	 * 改行コード。
	 */
	private String lineSeparator = null;

	/**
	 * インデントの空白文字数。
	 */
	private String indentSpace = null;

	/**
	 * XMLファイルのファイルパスを取得します。
	 *
	 * @return ファイルパス
	 */
	public String getFilepath() {
		return filepath;
	}

	/**
	 * XMLファイルのファイルパスを設定します。
	 *
	 * @param filepath ファイルパス
	 */
	public void setFilepath(String filepath) {
		this.filepath = filepath;
	}

	/**
	 * XMLファイルのエンコード文字列を取得します。
	 *
	 * @return エンコード文字列
	 */
	public String getEncode() {
		return encode;
	}

	/**
	 * XMLファイルのエンコード文字列を設定します。
	 *
	 * @param encode エンコード文字列
	 */
	public void setEncode(String encode) {
		this.encode = encode;
	}

	/**
	 * 改行コードを取得します。
	 *
	 * @return 改行コード
	 */
	public String getLineSeparator() {
		return lineSeparator;
	}

	/**
	 * 改行コードを設定します。
	 *
	 * @param lineSeparator 改行コード
	 */
	public void setLineSeparator(String lineSeparator) {
		this.lineSeparator = lineSeparator;
	}

	/**
	 * インデントの空白文字数を取得します。
	 *
	 * @return インデントの空白文字数
	 */
	public String getIndentSpace() {
		return indentSpace;
	}

	/**
	 * インデントの空白文字数を設定します。
	 *
	 * @param indentSpace インデントの空白文字数
	 */
	public void setIndentSpace(String indentSpace) {
		this.indentSpace = indentSpace;
	}

}
